Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 22190)
+++ /extensions/Autosize/autosize.inc.php	(revision 22191)
@@ -39,8 +39,9 @@
 		global $defined_types,$pictureSelType,$pictureMap ,$pictureDeriv ,$liste_type,$SRC_IMG;
 		global $autosize_parametres,$user_status;
-		global $infos_message,$error_message;
 		//==============================================================================
-		global $DEBUG_autosize;
+		global $DEBUG_autosize,$infos_message,$error_message;
 		if(preg_match("|event|", $DEBUG_autosize, $val))  $infos_message =  "autosize_calcContent, " ;
+		if(!realpath($element_info['path'])) return $content;
+
 		$ma_page=isset($page['body_id'])?$page['body_id']:"" ;
 		if ($ma_page !='thePicturePage') return ;
@@ -93,4 +94,6 @@
 	*********************/
 	static public function init_3(){
+		global $DEBUG_autosize,$infos_message,$error_message;
+		if(preg_match("|event|", $DEBUG_autosize, $val))  $infos_message .=  "init_3, " ;
 
 	}
@@ -98,19 +101,16 @@
 	{
 		global $conf, $template, $page;
+		global $DEBUG_autosize,$infos_message,$error_message;
+		if(!realpath($image['path'])) return $content;
+		if(preg_match("|event|", $DEBUG_autosize, $val))  $infos_message .=  "init_1, " ;
 		if(!isset($conf['AS_panorama'])) return $content;
-		if(  !is_array($conf['AS_panorama']) ){
-			return $content;
-		}
+		if(  !is_array($conf['AS_panorama']) )			return $content;
 		$asp = & $conf['AS_panorama'];
 		if(!isset($asp['in_mode_360'])) $asp['in_mode_360']="";
 		if(!isset($asp['in_mode_180'])) $asp['in_mode_180']="";
-
 		if ( !stristr($image['name'], $asp['in_mode_360']) and !stristr($image['name'], $asp['in_mode_180']) ) return $content;
-
 		$asp['min_viewport_width']=$_COOKIE['windowWidth'] -$_COOKIE['theImageLeft']-$_COOKIE['theImageRight'];
 		$asp['viewport_height']=$_COOKIE['windowHeight']-130 ;
-
 		$asp['start_position']= 10;
-
 	}
 	/*********************/
@@ -119,14 +119,13 @@
 		global $user,$Css,$css_slideshow,$css_display,$liste_type;
 		global $has_pamoorama,$pictureSelType,$pictureDeriv,$pictureMap;
-		global $infos_message,$warnings_message;
-
-		global $set_miniature,$imgSizeWH,$DEBUG_autosize;
+		global $warnings_message;
+
+		global $set_miniature,$imgSizeWH;
 		global $theImageHeight,$theImageWidth,$theImageLeft,$theImageTop,$windowWidth,$windowHeight,$theMainImageSize;
 		//=======================================================
-		global $has_pamoorama, $DEBUG_autosize ;
-
-		if(preg_match("|event|", $DEBUG_autosize, $val)) {
-			$infos_message .=  "init, ";
-		} ;
+		global $has_pamoorama  ;
+		global $DEBUG_autosize,$infos_message,$error_message;
+		if(!realpath($element_info['path'])) return $content;
+		if(preg_match("|event|", $DEBUG_autosize, $val))  $infos_message .=  "init, " ;
 
 		$has_pamoorama = isset($template->files['pamooramics_content'])?"true":"false";
@@ -194,5 +193,5 @@
 		if(preg_match("|test|", $DEBUG_autosize, $val)) {
 			$infos_message .=  "#208 <br>Init:SESSION:"  . cl_print_var($_SESSION) ;
-			 
+
 			if ( isset($_COOKIE['pwg_id']) ) unset ($_COOKIE['pwg_id']) ;
 			$infos_message .=  "Init: COOKIE:"  . cl_print_var($_COOKIE) ;
@@ -210,5 +209,5 @@
 			if(preg_match("|c1|", $DEBUG_autosize, $val)) {
 				echo "<!-- " . $theImageWidth . "x" . $theImageHeight . " " .cl_print_var($content) ." -->";
-				self::Fin_php("#212: " . $DEBUG_autosize);
+				self::Fin_php("#211: " . $DEBUG_autosize);
 			}
 			return  $content;
@@ -260,6 +259,4 @@
 	*************************/
 	static public function init2($content,$element_info){
-
-
 		global  $template,$version,$icon_path,$page,$picture,$conf;
 		global $user,$Css,$css_slideshow,$css_display,$liste_type;
@@ -270,7 +267,6 @@
 		global  $has_pamoorama,$pictureSelType,$pictureDeriv;
 		global $DEBUG_autosize;
-		if(preg_match("|event|", $DEBUG_autosize, $val)) {
-			$infos_message .= "init2, ";
-		} ;
+		if(preg_match("|event|", $DEBUG_autosize, $val)) $infos_message .= "init2, ";
+		if(!realpath($element_info['path'])) return $content;
 		global $theImageHeight,$theImageWidth,$theImageLeft,$theImageTop,$windowWidth,$windowHeight,$theMainImageSize;
 		//-- si Autosize correction redim ---------------
@@ -307,5 +303,5 @@
 		echo "left:".$theImageLeft."px;top:".$theImageTop."px;width:".$theImageWidth ."px;height:" .$theImageHeight."px;";
 		echo "<div style='position:absolute;left:".$theImageLeft."px;top:".$theImageTop."px;width:".$theImageWidth ."px;height:" .  $theImageHeight."px;background-color:green;'>";
-		self::Fin_php("#309 : " . $content + $DEBUG_autosize);
+		self::Fin_php("#305 : " . $content + $DEBUG_autosize);
 
 	} //INIT2
@@ -320,9 +316,10 @@
 		global $conf;
 		$set_miniature = "<!DOCTYPE html><html><head>
-				<meta http-equiv='content-type' content='text/html; charset=UTF-8'/>
-				<script type='text/javascript' src='themes/default/js/jquery.min.js'></script>
-				<script type='text/javascript' src='plugins/Autosize/js/autosizeDetect.js'></script>
-				<script type='text/javascript' src='plugins/Autosize/js/autosize.cookie.js'></script>
-				<script type='text/javascript' src='themes/default/js/plugins/jquery.ajaxmanager.js'></script>";   $set_miniature .= "<script type='text/javascript' src='plugins/Autosize/js/autosize_ajax.js' id='autosize_ajax' >  </script >";
+		<meta http-equiv='content-type' content='text/html; charset=UTF-8'/>
+		<script type='text/javascript' src='themes/default/js/jquery.min.js'></script>
+		<script type='text/javascript' src='plugins/Autosize/js/autosizeDetect.js'></script>
+		<script type='text/javascript' src='plugins/Autosize/js/autosize.cookie.js'></script>
+		<script type='text/javascript' src='themes/default/js/plugins/jquery.ajaxmanager.js'></script>";
+		$set_miniature .= "<script type='text/javascript' src='plugins/Autosize/js/autosize_ajax.js' id='autosize_ajax' >  </script >";
 		$set_var = "<script type='text/javascript'>\n var COOKIE_PATH =  '".cookie_path()."';\n";
 		if(preg_match("|noreload|", $DEBUG_autosize, $val)) {
@@ -370,5 +367,5 @@
 			echo "INIT <pre>";
 			print_r($_COOKIE);
-			self::Fin_php("#372:  No COOKIE['picture_deriv'] ".$DEBUG_autosize);
+			self::Fin_php("#369:  No COOKIE['picture_deriv'] ".$DEBUG_autosize);
 		}
 
@@ -380,5 +377,5 @@
 			echo "GET:"  . cl_print_var($_GET) ;
 			echo "POST:"  . cl_print_var($_POST) ;
-			self::Fin_php("#382: ".$DEBUG_autosize);
+			self::Fin_php("#379: ".$DEBUG_autosize);
 		}
 
@@ -391,8 +388,6 @@
 		echo $autoscript;
 		if (!isset($_COOKIE['autosize_reload'])  ){
-			self::Fin_php("#393:  Initialisation ".$DEBUG_autosize);
-		}
-		//
-		 
+			self::Fin_php("#390:  Initialisation ".$DEBUG_autosize);
+		}			
 	}
 
@@ -452,5 +447,5 @@
 		);
 		if( preg_match("|c2|", $DEBUG_autosize, $val) ){
-			self::Fin_php( "454: " . $DEBUG_autosize);
+			self::Fin_php( "449: " . $DEBUG_autosize);
 			return $content ;
 
@@ -517,5 +512,5 @@
 		if ($ma_page !='thePicturePage') return ;
 
-		 
+			
 		$template->func_combine_script(array('id'=>'my_script_2',
 				'path'=> AUTOSIZE_PATH.'js/JScript.js',
@@ -540,5 +535,5 @@
 		$template->append('footer_elements',$autoscript);
 
-		 
+			
 		return ;
 	}// function cl_autosize_script_3
@@ -578,5 +573,5 @@
 				if(count($set_miniatures)> 1 )
 					$infos_message .= "PictureDeriv:" . $pictureDeriv. ' miniature:' . cl_print_var( $set_miniature);
-				 
+					
 			}else {
 
@@ -664,5 +659,5 @@
 			$template->parse('mes_script');
 		}
-		 
+			
 
 		if(preg_match("|vue_cookies|", $DEBUG_autosize, $val)) {
@@ -679,5 +674,5 @@
 			$infos_message .= "<br />SelType:" . $pictureSelType."; pictureDeriv:".$pictureDeriv ."; pictureMap:".$pictureMap;
 
-			self::Fin_php("#681: ".$DEBUG_autosize);
+			self::Fin_php("#676: ".$DEBUG_autosize);
 		}
 		cl_aff_infos_plus();
@@ -847,5 +842,5 @@
 		}
 
-		 
+			
 		return $css;
 	}
@@ -872,5 +867,5 @@
 				$i++;
 			}
-			 
+
 		}
 		;
@@ -920,5 +915,5 @@
 			if(file_exists(PHPWG_ROOT_PATH.$img_url)){
 			} // if file
-			 
+
 			if ($theImage_def==0){
 				// Avant Autosize ou Original;
@@ -976,5 +971,5 @@
 				else
 					$maxi_image = $img_select;
-				 
+					
 				$maxi_image->url  =  $maxi_image->get_path();
 
@@ -986,5 +981,5 @@
 				$mini_image->url  =  $mini_image->get_path();
 			}
-			 
+
 		} // for
 		//================================================
@@ -993,5 +988,5 @@
 		$imgSizeWH  =  $img_select->src_image->get_size();
 		$liste_type["Original"]="Original".",".$img_url.",".$imgSizeWH[0] .",".$imgSizeWH[1] ;
-		 
+			
 
 		$retour=(object)'' ;
@@ -1063,5 +1058,5 @@
 			if(!file_exists(PHPWG_ROOT_PATH.$img_url)){
 				$img_type  =  $img_select->get_type();
-				 
+					
 				$file_id=explode("?",$img_url);
 				if(count($file_id) ==1){
@@ -1076,5 +1071,5 @@
 					array_push($nofiles,serialize($file_no)) ;
 					if( $img_type == $pictureDeriv){
-						 
+							
 						break ;
 					}
@@ -1120,5 +1115,5 @@
 	****************************/
 	static public  function  get_cookies(){
-		global $pictureDeriv,$pictureSelType,$pictureDeriv,$pictureMap;
+		global $pictureDeriv,$pictureSelType,$pictureDeriv,$pictureMap,$DEBUG_autosize;
 		if(!isset($_COOKIE['picture_deriv'])){
 			$pictureDeriv= pwg_get_session_var('picture_deriv');
@@ -1133,18 +1128,8 @@
 		$_COOKIE['picture_deriv']=$pictureDeriv;
 		$_COOKIE['picture_map']=$pictureMap;
-		//================================================================
-		global $DEBUG_autosize;
-		if( isset($_GET['cl_debug']) && $_GET['cl_debug'] =='false') {
-			$DEBUG_autosize="";
-		}else{
-			$DEBUG_autosize = isset($_POST['cl_debug']) ? $_POST['cl_debug'] : "" ;
-			$DEBUG_autosize = isset($_GET['cl_debug']) ? $_GET['cl_debug'] :  $DEBUG_autosize ;
-			$DEBUG_autosize = isset($conf['cl_debug']) ? $conf['cl_debug']."," . $DEBUG_autosize : $DEBUG_autosize ;
-			//===============================================================
-		}
 		if(!isset($_COOKIE['picture_deriv'] )){
 			if(preg_match("|test_1|", $DEBUG_autosize, $val)) {
 				$infos_message .= "not COOKIE['picture_deriv'] -> reload(): <br>";
-				self::Fin_php("#1148 autosize_calcContent:" . $DEBUG_autosize );
+				self::Fin_php("#1133 autosize_calcContent:" . $DEBUG_autosize );
 			}
 			unset($_COOKIE['autosize_reload']);
@@ -1153,7 +1138,7 @@
 			if(preg_match("|test_2|", $DEBUG_autosize, $val)) {
 				$infos_message .= "not COOKIE['autosize_reload'] -> reload(): <br>";
-				self::Fin_php("#1155 autosize_calcContent:" . $DEBUG_autosize);
-			}
-			self::reload("#1157");
+				self::Fin_php("#1140 autosize_calcContent:" . $DEBUG_autosize);
+			}
+			self::reload("#1142");
 		}
 	}
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 22190)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 22191)
@@ -3,59 +3,55 @@
 //==============================================================  
   jQuery.Affiche_script = { version: '2.0.0' };
-  /********************************************
-  *  document ready
-  ********************************************/
+  /***************************************************************************
+	 * document ready
+	 **************************************************************************/
   jQuery(document).ready(function (jQuery) {
-    var Type_Img;
-    var theImg;
-    var Zone_image;
-
-    /******************************************
+    var Type_Img = "";
+    var theImg = "";
+    var Zone_image = "";
+    var OptionsCookie = jQuery.extend({}, { path: '/', expires: 1 });
+
+    /***************************************************************************
     * test_theme("mont,pur") ...
-    ******************************************/
-
+    **************************************************************************/
     test_theme = function (param) {
       if (!param) return
       if (!options.theme) return;
-
       regx = new RegExp(param, "gi");
-      return (options.theme.match(regx))
-
-    }
-    /******************************************
+      return (options.theme.match(regx));
+    };
+    /***************************************************************************
     * Save_cookies
-    ******************************************/
+    **************************************************************************/
     Save_cookies = function (parametres) {
       parametres.windowHeight = jQuery(window).height();
       parametres.windowWidth = jQuery(window).width();
       try {
-        if (parametres.pictureDeriv) jQuery.cookie('picture_deriv', parametres.pictureDeriv, { path: COOKIE_PATH });
-        if (parametres.pictureSelType) jQuery.cookie('picture_sel_type', parametres.pictureSelType, { path: COOKIE_PATH });
-        if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap, { path: COOKIE_PATH });
-        if (parametres.imgSrc) jQuery.cookie('img_src', parametres.imgSrc, { path: COOKIE_PATH });
-        if (parametres.theMainImageHeight) jQuery.cookie('theMainImageHeight', parametres.theMainImageHeight, { path: COOKIE_PATH });
-        if (parametres.theMainImageWidth) jQuery.cookie('theMainImageWidth', parametres.theMainImageWidth, { path: COOKIE_PATH });
-        if (parametres.theImageHeight) jQuery.cookie('theImageHeight', parametres.theImageHeight, { path: COOKIE_PATH });
-        if (parametres.theImageWidth) jQuery.cookie('theImageWidth', parametres.theImageWidth, { path: COOKIE_PATH });
-        if (parametres.windowHeight) jQuery.cookie('windowHeight', parametres.windowHeight, { path: COOKIE_PATH });
-        if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.windowWidth, { path: COOKIE_PATH });
-        if (parametres.theImageTop) jQuery.cookie('theImageTop', parametres.theImageTop, { path: COOKIE_PATH });
-        if (parametres.theImageLeft) jQuery.cookie('theImageLeft', parametres.theImageLeft, { path: COOKIE_PATH });
-        if (parametres.theImageRight) jQuery.cookie('theImageRight', parametres.theImageRight, { path: COOKIE_PATH });
-        if (parametres.theImageBottom) jQuery.cookie('theImageBottom', parametres.theImageBottom, { path: COOKIE_PATH });
+        if (parametres.pictureDeriv) jQuery.cookie('picture_deriv', parametres.pictureDeriv, OptionsCookie);
+        if (parametres.pictureSelType) jQuery.cookie('picture_sel_type', parametres.pictureSelType, OptionsCookie);
+        if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap, OptionsCookie);
+        if (parametres.imgSrc) jQuery.cookie('img_src', parametres.imgSrc, OptionsCookie);
+        if (parametres.theMainImageHeight) jQuery.cookie('theMainImageHeight', parametres.theMainImageHeight, OptionsCookie);
+        if (parametres.theMainImageWidth) jQuery.cookie('theMainImageWidth', parametres.theMainImageWidth, OptionsCookie);
+        if (parametres.theImageHeight) jQuery.cookie('theImageHeight', parametres.theImageHeight, OptionsCookie);
+        if (parametres.theImageWidth) jQuery.cookie('theImageWidth', parametres.theImageWidth, OptionsCookie);
+        if (parametres.windowHeight) jQuery.cookie('windowHeight', parametres.windowHeight, OptionsCookie);
+        if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.windowWidth, OptionsCookie);
+        if (parametres.theImageTop) jQuery.cookie('theImageTop', parametres.theImageTop, OptionsCookie);
+        if (parametres.theImageLeft) jQuery.cookie('theImageLeft', parametres.theImageLeft, OptionsCookie);
+        if (parametres.theImageRight) jQuery.cookie('theImageRight', parametres.theImageRight, OptionsCookie);
+        if (parametres.theImageBottom) jQuery.cookie('theImageBottom', parametres.theImageBottom, OptionsCookie);
         if (parametres.theImageMargeZone) {
-          jQuery.cookie('theImageMargeWidth', parametres.theImageMargeZone.width, { path: COOKIE_PATH });
-          jQuery.cookie('theImageMargeHeight', parametres.theImageMargeZone.height, { path: COOKIE_PATH });
+          jQuery.cookie('theImageMargeWidth', parametres.theImageMargeZone.width, OptionsCookie);
+          jQuery.cookie('theImageMargeHeight', parametres.theImageMargeZone.height, OptionsCookie);
         }
       } catch (e) {
         n = 1;
-      }
-
-
-    }
-    //____________________ Save_cookies _____________________________
-    /************************************************
-    *  Get COOKIE
-    *************************************************/
+      };
+    };
+    // ____________________ Save_cookies _____________________________
+    /***************************************************************************
+    * Get COOKIE
+    **************************************************************************/
     Get_cookies = function () {
       parametres = {
@@ -82,17 +78,13 @@
 
 
-      }
+      };
       return parametres;
-    }
-    //____________________ Get_cookies _____________________________
-
-
-
-    /*************************************************
+    };
+    // ____________________ Get_cookies _____________________________
+    /***************************************************************************
     * Recupère le Type d'mage
-    *************************************************/
+    **************************************************************************/
     Get_type_img = function (e) {
-      //====== détection du type d'images ======
-
+      // ====== détection du type d'images ======
       if (jQuery("#charlie").length > 0) {
         Type_Img = "charlie";
@@ -103,5 +95,4 @@
         Type_Img = "pamoorama";
         options.valide = true;
-
         infos_pamoorama = jQuery("#pamoorama").infos({ absolute: true });
 
@@ -127,5 +118,5 @@
         frm1 = jQuery("#theImage" + " " + type_src).get(0);
         Type_Img = "iframe";
-        //'fb - xfbml - like - button
+        // 'fb - xfbml - like - button
         objs = jQuery("#theImage" + " div").get(0);
         if (jQuery(objs).length > 0) {
@@ -137,5 +128,5 @@
               jQuery(frm1).attr("id", "charlie");
             } else {
-              //  Type_Img = "img";
+              // Type_Img = "img";
             }
           }
@@ -156,13 +147,12 @@
       } else {
         return;
-      }
-    }
-    //____________________ Get_type_img _____________________________
-
-    //====================================
-    //  set_cl
-    //====================================
+      };
+    };
+    // ____________________ Get_type_img _____________________________
+
+    // ====================================
+    // set_cl
+    // ====================================
     set_cl = function (Valid) {
-
       if (typeof Valid == "undefined") Valid = options.pictureSelType.match(RegExp("Autosize", "gi")) || false;
       if (typeof options.cl_visible == "undefined") return;
@@ -170,5 +160,4 @@
       if (options.cl_visible) src = src1;
       else src = src2;
-
       if (typeof options.pictureSelType != "undefined" && (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi")) {
         if (options.pictureSelType == "SelMaxi") src = src6;
@@ -207,5 +196,5 @@
           src_info = "";
           src = src2;
-        }
+        };
 
         jQuery('#bp_cla').attr('alt', src_info);
@@ -216,5 +205,5 @@
           rap: jQuery("#theMainImage").width() / jQuery("#theMainImage").height(),
           rap_init: Zone_image.image_init.rapport
-        }
+        };
         jQuery('#bp_cla span').text(zoom_cl);
         color_back = jQuery('#imageToolBar').css("backgroundColor");
@@ -249,5 +238,5 @@
           jQuery('.auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ") " + options.pictureDeriv);
         }
-        //===============================================
+        // ===============================================
       } else {
         src = src6;
@@ -263,12 +252,12 @@
           jQuery('#bp_img_cla').attr('title', src_info);
         }
-      }
+      };
       Affiche_limite(pictureSelType_user);
-    }
-    //____________________ set_cl _____________________________
-
-    /********************************
+    };
+    // ____________________ set_cl _____________________________
+
+    /***************************************************************************
     * Set__llbgo
-    *********************************/
+    **************************************************************************/
     Set_llbgo = function (Force) {
 
@@ -315,17 +304,17 @@
 
       return;
-    }
-    //__________  Set_llbgo _______________
+    };
+    // __________ Set_llbgo _______________
     var wpng = 0;
-    /********************************************
-    *  window LOAD
-    ********************************************/
+    /***************************************************************************
+    * window LOAD
+    **************************************************************************/
     jQuery(window).load(function () {
       location_href = location.href;
-      var aff_ok = false;
-      //=======================================================================
+      // =======================================================================
       infos_theImage = jQuery(theImage_id).infos({ absolute: true });
       infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
-      infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+      infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+      // general
       the_mainImage_obj = "theMainImage_obj";
       infos_theMainImage_obj = jQuery("#" + the_mainImage_obj).infos({ absolute: true });
@@ -374,10 +363,12 @@
         jQuery(theMainImage_id).css({ maxWidth: "none" });
         theImageAndInfos_id = "#content";
-        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+        // general
         infos_theImage.height = infos_window.height - infos_theImage.top;
-        //  jQuery(theImage_id).height(infos_theImage.height);
+        // jQuery(theImage_id).height(infos_theImage.height);
 
       } else {
-        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+        // general
         if (infos_theImageAndInfos.visible == false)
           theImageAndInfos_id = "#imageContainer";
@@ -391,5 +382,5 @@
       infos_theImage = jQuery(theImage_id).infos(true);                 // conteneur
       infos_imageInfos = jQuery(imageInfos_id).infos(true);             // information
-      infos_theMainImage = jQuery(theMainImage_id).infos(true);         // Image 
+      infos_theMainImage = jQuery(theMainImage_id).infos(true);         // Image
       infos_copyright = jQuery("#copyright").infos(true);
 
@@ -423,6 +414,4 @@
           }
       }
-
-
       Zone_image = { image_init: {
         width: infos_theMainImage.width,
@@ -443,20 +432,15 @@
           width: 0
         }
-      }
-
-
+      };
       Zone_image.zoom = (Zone_image.image.height / Zone_image.image_init.height);
 
-
-
-
-      /***********************************************************
-      *  RESIZE (une fois document chargé)
-      ***********************************************************/
-      var new_dim;
+      /***********************************************************************
+      * RESIZE (une fois document chargé)
+      **********************************************************************/
+
       jQuery(window).resize(function (event, ui) {
         Autosize_resize(true, options);
       });
-      //_____________ widow.resize _______________
+      // _____________ widow.resize _______________
 
       type_src = "div";
@@ -470,26 +454,26 @@
       infos_llgboh2 = jQuery("#llgboh2").infos(true);
       marges_llgbo = 0;
-      //========================================================================================== 
+      // ==========================================================================================
       init_gen();
     });
-    //__________________window.onload_________________
-
-    /********************************************
-    *  window unLOAD
-    ********************************************/
+    // __________________window.onload_________________
+
+    /***************************************************************************
+    * window unLOAD
+    **************************************************************************/
     jQuery(window).unload(function () {
-      //  return;
-    });
-    //_________ unload ___________
-
-    //===================
-    // VARIABLES  
-
-
-    //===================
-    // options 
-    //=========================================================
+      // return;
+    });
+    // _________ unload ___________
+
+    // ===================
+    // VARIABLES
+
+
+    // ===================
+    // options
+    // =========================================================
     if (typeof (options) == "undefined") {
-      options = { imageAutosize: false }
+      options = { imageAutosize: false };
     }
     options = jQuery.extend(Autosize_options, options);
@@ -508,5 +492,5 @@
     jQuery("#the_page").append("<div id='form_autosize_picture' ></div>");
     jQuery("#form_autosize_picture").addClass("Autosize");
-    //===== marges suplémentaires en fonction theme ===
+    // ===== marges suplémentaires en fonction theme ===
     options.valide = jQuery(".Autosize").css("display") != "none";
     options.marge_haute = jQuery(".Autosize").Get_Val_int(jQuery("#form_autosize_picture").css("top"));
@@ -522,4 +506,5 @@
     DEBUG_autosize = options.DEBUG_autosize;
     var COOKIE_PATH = options.COOKIE_PATH;
+    OptionsCookie = jQuery.extend({}, { path: options.COOKIE_PATH, expires: 1 });
     var cookies = Get_cookies();
 
@@ -530,22 +515,17 @@
     }
     if (test_theme("mont")) {
-      jQuery("#content").css({ marginLeft: 'auto' }); //monblanc
+      jQuery("#content").css({ marginLeft: 'auto' }); // monblanc
     }
-
-
     Get_type_img();
-
-    var infos_theMainImage_obj;
     var theMainImage_id = "#theMainImage";
     var theImage_id = "#theImage";
     var theImageAndInfos_id = "#theImageAndInfos";
     var infos_window = jQuery(window).infos();
-    var infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+    var infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+    // general
     var infos_content;
-    var infos_body;
     var infos_the_page = jQuery("#the_page").infos(true);
-    var nopano;
+    var nopano = false;
     var llgbo_id = "#llgbo0";
-    var marges_llgbo = 0;
 
     var useMap = options.pictureMap; // #mapxxx
@@ -555,5 +535,6 @@
 
     var pictureDeriv = options.pictureDeriv; // xxx
-    var pictureSelType_user = eval("options." + user_status + "_type"); //limite taille
+    var pictureSelType_user = eval("options." + user_status + "_type"); // limite
+    // taille
 
 
@@ -583,5 +564,5 @@
     }
     new_liste = new Array();
-    for (i = 0; i < options.liste_type.length; i++) {
+    for (var i = 0; i < options.liste_type.length; i++) {
       liste_types = options.liste_type[i].split(",");
       new_liste.push(options.liste_type[i].split(","));
@@ -593,5 +574,5 @@
 
     // auto_details
-    //==== limite affichage selection = select_type ====
+    // ==== limite affichage selection = select_type ====
     var path_names = new Array();
 
@@ -622,5 +603,5 @@
           jQuery(this).remove();
         }
-        //--- recherche limite ---
+        // --- recherche limite ---
 
         if (!options.valide && (tsz == "Autosize" || tsz == "SelMaxi")) {
@@ -639,17 +620,15 @@
             old_path = patname;
           path_names.push(patname);
-
-        }
-        //--- type en cours ---
+        }
+        // --- type en cours ---
         if (tsz.match(RegExp("^" + options.pictureDeriv, "gi"))) {
           us = n;
         }
-
         n++;
       });
-    }
-    //=============================================================
+    };
+    // =============================================================
     // REPONSE ACTION
-    //=============================================================
+    // =============================================================
     theMainImage_st = false;
     jQuery("#reset").click(function () {
@@ -658,7 +637,7 @@
 
 
-    //===========================================================
-    //  REPONSE TRIGGER 
-    //===========================================================
+    // ===========================================================
+    // REPONSE TRIGGER
+    // ===========================================================
     jQuery('#ret_autosize').live('ON', function (e) {
       if (nu_img == "") nu_img = 8;
@@ -667,5 +646,5 @@
     });
 
-    //==========================================================
+    // ==========================================================
     jQuery("map area").mouseover(function (e) {
       try {
@@ -678,7 +657,7 @@
     });
 
-    //==================================
+    // ==================================
     // jQuery("#llgbo").trigger("ON");
-    //==================================
+    // ==================================
     jQuery(llgbo_id).live('ON', function (e) {
       n_id = this;
@@ -690,44 +669,45 @@
         infos_llgboframe1 = jQuery(llgbo_id + " div:last").infos();
         infos_llgboframe31 = jQuery(llgbo_id + "  div:first").infos();
-        //=============================================
+        // =============================================
         ll2 = infos_llgboframe1.width; // llgboframe1 interieur
-        ll1 = infos_llgboframe31.exterieur.width; // llgboframe31 avec border width
+        ll1 = infos_llgboframe31.exterieur.width; // llgboframe31 avec border
+        // width
         options.marges_llgbo = (ll1 - ll2);
         infos_llgboh2 = jQuery("#llgboh2").infos();
       }
     });
-    //==============================
+    // ==============================
     // jQuery("#mapPicture").trigger("ON");
-    //==============================
+    // ==============================
     jQuery("#mapPicture").live('ON', function (e) {
       p2 = jQuery("#infoSwitcher").infos();
     });
-    //==============================
+    // ==============================
     // jQuery("#map").trigger("ON");
-    //==============================
+    // ==============================
     jQuery("#map").live('ON', function (e) {
       p2 = jQuery("#map").infos();
     });
-    //===================================
+    // ===================================
     // jQuery("#theImage").trigger("ON");
-    //===================================
+    // ===================================
     jQuery("#imageInfos").live('on', function (e) {
       target = e.target.id;
     });
 
-    //===================================
+    // ===================================
     // jQuery("#theImage").trigger("ON");
-    //===================================
+    // ===================================
     jQuery("#theImage").live('ON', function (e) {
       target = e.target.id;
 
       id = this.id;
-      Select_Image(); //+calcul
-    });
-
-
-
-
-    //=================================================================
+      Select_Image(); // +calcul
+    });
+
+
+
+
+    // =================================================================
     jQuery(document).live('gallyInterfaceReady', function (e) {
       i = jQuery(this).text();
@@ -738,18 +718,13 @@
 
 
-    /*********************************
-    *
-    ********************************/
-    var old_width;
-
+    /***************************************************************************
+    * 
+    **************************************************************************/
     jQuery("#theImage").resize(function (e) {
       nu_img = 0;
     });
-
-
-
     jQuery("#menuSwitcher,#infoSwitcher").click(function (e) {
       options.set_sw = this.id;
-      setTimeout(function () { div_resize() }, 10);
+      setTimeout(function () { div_resize(); }, 10);
       nu_img = 0;
     });
@@ -758,16 +733,15 @@
 
       jQuery("#theImage").trigger("resize");
-      /* 
-      if (jQuery("#theImage").width() != old_width) {
-      setTimeout(function () { div_resize() }, 10);
-      }
+      /*
+      * if (jQuery("#theImage").width() != old_width) { setTimeout(function () {
+      * div_resize() }, 10); }
       */
-    }
-    //===========================================
+    };
+    // ===========================================
     // jQuery("#theImageAndInfos").trigger("ON");
-    //===========================================
+    // ===========================================
     jQuery("#theImageAndInfos").live('ON', function (e) {
       infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
-      //   setTimeout(function () { Autosize_resize(true) }, 100);
+      // setTimeout(function () { Autosize_resize(true) }, 100);
       nu_img = 0;
     }); // fin click #theImageAndInfos ON
@@ -782,17 +756,17 @@
       nu_img = 0;
     });
-    //==================================
+    // ==================================
     //
-    //===================================
+    // ===================================
     jQuery('#derivativeCheckedAutosize').click(function () {
       try {
         pathnames = jQuery(this).attr("href").split(":");
 
-        //  eval(pathnames[1]);
+        // eval(pathnames[1]);
       } catch (e) {
         n = false;
       }
     }); // fin click derivativeCheckedAutosize
-    //====================================================
+    // ====================================================
     if (typeof decode_href != 'function') {
       function decode_href(myObj) {
@@ -819,5 +793,5 @@
           pictureMap: pictureMap,
           pictureSelType: pictureSelType
-        }
+        };
       }
     }
@@ -828,5 +802,5 @@
       theImg = document.getElementById(theMainImage_id.replace("#", ""));
       if (theImg) {
-        // options.pictureDeriv = retour.pictureDeriv;        
+        // options.pictureDeriv = retour.pictureDeriv;
         if (this.name) {
           options.pictureSelType = this.name;
@@ -843,5 +817,5 @@
       }
     });
-    //__________ fin click #derivativeSwitchBox a ____________
+    // __________ fin click #derivativeSwitchBox a ____________
 
     jQuery("input").click(function () {
@@ -860,9 +834,10 @@
 
 
-    //====================================
+    // ====================================
     Autosize_init = function (name, value) {
       img_defaut = { height: options.scaled_height, width: options.scaled_width };
       img_reelle = { height: options.theImageHeight, width: options.theImageWidth };
-      img_init = { height: options.theImageHeight, width: options.theImageWidth };  // taille initiale
+      img_init = { height: options.theImageHeight, width: options.theImageWidth };  // taille
+      // initiale
 
       img_finale = img_init;
@@ -871,5 +846,5 @@
 
       useMap = options.pictureMap; // #mapxxx
-      pictureDeriv = options.pictureDeriv; //picturederiv xxx
+      pictureDeriv = options.pictureDeriv; // picturederiv xxx
 
 
@@ -885,10 +860,10 @@
       fade_in = parseInt(options.fade_in || 0);
 
-    }
-    //____________________ Autosize_init _____________________
-
-    /***************************
+    };
+    // ____________________ Autosize_init _____________________
+
+    /***************************************************************************
     * Autosize_resize
-    ***************************/
+    **************************************************************************/
     Autosize_resize = function (force, parametres) {
       if (!force) {
@@ -898,8 +873,11 @@
         }
       }
-      nAuto = Get_dimensions(true, options);
-
+      nauto = Get_dimensions(true, options);
+      if (nauto == "Wait") {
+        setTimeout(function (force, parametres) { Autosize_resize(force, parametres); }, 100);
+        return;
+      }
       Save_cookies(options);
-      if (!options.valide || nAuto == false || (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi")) {
+      if (!options.valide || !nauto || (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi")) {
         if (options.imageAutosize == true) {
           options.pictureSelType = options.pictureDeriv;
@@ -910,5 +888,5 @@
           return;
         }
-        //  jQuery(theImg).width(Zone_image.image_init.width);
+        // jQuery(theImg).width(Zone_image.image_init.width);
         jQuery(theImg).height(Zone_image.image_init.height);
         set_cl("no");
@@ -924,5 +902,5 @@
       }
 
-      //======================================================
+      // ======================================================
 
       affiche_debug({
@@ -949,5 +927,5 @@
           }
 
-        //jQuery(theMainImage_id).height(Zone_image.image.height);
+        // jQuery(theMainImage_id).height(Zone_image.image.height);
       } else if (Type_Img == "panorama") {
         // jQuery("#pamoorama").width(img_finale.width);
@@ -956,5 +934,5 @@
 
 
-        //   jQuery("#theImage img.simple_panorama").panorama(asp_options);
+        // jQuery("#theImage img.simple_panorama").panorama(asp_options);
       } else {
         if (options.imageAutosize == false)
@@ -996,5 +974,5 @@
             } else
               h01 = Math.ceil(w01 / Zone_image.image.rapport);
-            //==== Zone Affichage =====
+            // ==== Zone Affichage =====
             jQuery("#theMainImage").height(png_h);
             jQuery("#theMainImage").width(w01 + wpng);
@@ -1004,5 +982,5 @@
             jQuery("#" + the_mainImage_obj).attr("height", h01);
 
-            jQuery("#theMainImage_emb").attr("width", w01); //firefox opera
+            jQuery("#theMainImage_emb").attr("width", w01); // firefox opera
             jQuery("#theMainImage_emb").attr("height", h01);
 
@@ -1034,9 +1012,9 @@
       return true;
     };
-    //_________________Autosize ____________________________________   
-
-    /*****************
-    * changeImgSrc 
-    ******************/
+    // _________________Autosize ____________________________________
+
+    /***************************************************************************
+    * changeImgSrc
+    **************************************************************************/
     changeImgSrc = function (url, typeSave, typeMap, type) {
       if (type == "Autosize" || type == "SelMaxi") {
@@ -1055,5 +1033,5 @@
       options.pictureMap = typeMap;
       options.pictureDeriv = typeSave;
-      jQuery.cookie('picture_deriv', typeSave, { path: COOKIE_PATH });
+      jQuery.cookie('picture_deriv', typeSave, { path: COOKIE_PATH, expires: 1 });
 
       url_old = jQuery("#theMainImage").attr("src");
@@ -1062,14 +1040,14 @@
       if (typeof type != "undefined" && (type == "Autosize" || type == "SelMaxi")) {
         jQuery('#derivativeChecked' + type).css('visibility', 'visible');
-        jQuery.cookie('picture_sel_type', type, { path: COOKIE_PATH });
+        jQuery.cookie('picture_sel_type', type, OptionsCookie);
       } else {
 
         jQuery('#derivativeChecked' + typeSave).css('visibility', 'visible');
-        jQuery.cookie('picture_sel_type', typeSave, { path: COOKIE_PATH });
+        jQuery.cookie('picture_sel_type', typeSave, OptionsCookie);
       }
       if (url != url_old) {
-        jQuery("#theMainImage").attr("src", url);
-      }
-      // jQuery("#theMainImage," + theMainImage_id + ",.preload, .next1 , ")
+        file_exists(url);
+        url_old = url;
+      }
       jQuery("#theMainImage").removeAttr("width height")
       .load(function (i) {
@@ -1077,5 +1055,5 @@
           return;
         }
-        //=======================================================================    
+        // =======================================================================
 
       })
@@ -1083,5 +1061,5 @@
         imgsrc = this.src;
         if (!this.complete) {
-          // le fichier n'est pas present 
+          // le fichier n'est pas present
           imgsrc = jQuery(this).attr("src");
           return false;
@@ -1129,7 +1107,7 @@
               if (data.src) { }
               if (options.pictureDeriv == "Original" && data.src.match(RegExp("\-.." + ".jpg", "gi"))) {
-                //    Autosize_resize(true, options);
+                // Autosize_resize(true, options);
               } else if (data.src.match(RegExp(options.pictureDeriv.substr(0, 2) + ".jpg", "gi"))) {
-                //    Autosize_resize(true, options);
+                // Autosize_resize(true, options);
               } else {
 
@@ -1137,13 +1115,13 @@
 
             });
-      //_________ theMainImage  ___________
-
-    }
-
-    //__________________ changeImgSrc ______________________
-
-    /*****************************
-    *      pamoorama
-    ******************************/
+      // _________ theMainImage ___________
+
+    };
+
+    // __________________ changeImgSrc ______________________
+
+    /***************************************************************************
+    * pamoorama
+    **************************************************************************/
 
 
@@ -1160,7 +1138,7 @@
     });
 
-    //===============================================
+    // ===============================================
     // jQuery("#theImage").trigger("Start_right");
-    //===============================================
+    // ===============================================
     jQuery("#theImage").live('Start_right', function (e) {
       if (typeof Zone_image == "undefined") return
@@ -1170,12 +1148,12 @@
       jQuery("#pamoorama_thumb img").width(200);
       jQuery("#pamoorama_thumb img").height(nf);
-      // 200=window.myPamoorama.imageWidth 
+      // 200=window.myPamoorama.imageWidth
       // frame = Zone_image.container.width
       nw = (200 * Zone_image.image.width) / window.myPamoorama.imageWidth;
       jQuery("#pamoorama_frame").width(nw);
     });
-    //===============================================
+    // ===============================================
     // jQuery("#theImage").trigger("Start_left");
-    //===============================================
+    // ===============================================
     jQuery("#theImage").live('Start_left', function (e) {
       if (typeof Zone_image == "undefined") return
@@ -1189,7 +1167,7 @@
     });
 
-    /************************************
+    /***************************************************************************
     * Wait_pamoorama
-    ************************************/
+    **************************************************************************/
     Wait_pamoorama = function () {
       if (Type_Img != "pamoorama") return;
@@ -1213,6 +1191,6 @@
       }
 
-    }
-    //__________________ Wait_pamoorama ______________________
+    };
+    // __________________ Wait_pamoorama ______________________
     jQuery(".pwg-icon-clock-minus, .pwg-icon-clock-plus").click(function (i) {
 
@@ -1239,5 +1217,5 @@
           return false;
         }
-        //=============================================================
+        // =============================================================
         if (Math.abs(mypanorama.imageHeight) < 100) {
           setTimeout("Wait_pamoorama_time()", 500);
@@ -1255,15 +1233,15 @@
           height: mypanorama.imageHeight
         }
-        }
+        };
         jQuery("#pamoorama").trigger("ON");
         return true;
 
       }
-    }
-    //__________________ Wait_pamoorama time______________________
-
-    /**********************
-    *
-    ***********************/
+    };
+    // __________________ Wait_pamoorama time______________________
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
     Wait_Affichage = function () {
       Wait_Affichage_st = false;
@@ -1272,6 +1250,6 @@
         Wait_Affichage_st = Wait_Affichage_time();
       }
-    }
-    //__________________ Wait_Affichage ______________________
+    };
+    // __________________ Wait_Affichage ______________________
 
 
@@ -1280,13 +1258,10 @@
       fade_in = parseInt(fade_in);
       /*
-      if (!Autosize_resize()) {
-      setTimeout("Wait_Affichage()", 500);
-      return
-      }  
-      nu_img++;     
+      * if (!Autosize_resize()) { setTimeout("Wait_Affichage()", 500); return }
+      * nu_img++;
       */
       if (typeof fade_in == "undefined") fade_in = 0;
 
-      //   if (nu_img > 1) return;
+      // if (nu_img > 1) return;
       if (typeof stb != "undefined")
         stb.stop().fadeTo(3500, 0);
@@ -1302,5 +1277,5 @@
           return true;
         }
-        //=== attente Image chargée ===
+        // === attente Image chargée ===
         if (tempo > 100) return true;
         tempo++;
@@ -1324,11 +1299,11 @@
       }
       return true;
-    }
-    //______________ Wait_affichage ______
-
-
-    /***********************
-    *
-    **********************/
+    };
+    // ______________ Wait_affichage ______
+
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
     init_img = function (theImg) {
       if (theImg.complete == false) {
@@ -1340,5 +1315,5 @@
         return false;
       }
-      img_init = { width: jQuery(theImg).width(), height: jQuery(theImg).height() }
+      img_init = { width: jQuery(theImg).width(), height: jQuery(theImg).height() };
 
       if (typeof theImg.naturalWidth != "undefined")
@@ -1350,5 +1325,5 @@
       if (typeof Zone_image.image == "undefined") Zone_image.image = { height: Zone_image.image_init.height, width: Zone_image.image_init.width };
       // theImg.height = img_init.height;
-      //  theImg.width = img_init.width;
+      // theImg.width = img_init.width;
 
       Zone_image.image_init = { height: img_init.height, width: img_init.width, rapport: img_init.rapport };
@@ -1361,12 +1336,12 @@
       stx = name_src.match(RegExp(Zone_image.src, "gi"));
       return stx;
-    }
-    //___________ init_img _______
-
-
-
-    //===========================================
+    };
+    // ___________ init_img _______
+
+
+
+    // ===========================================
     //
-    //===========================================
+    // ===========================================
     Set_Map = function (nds) {
       p0 = jQuery("#map").offset();
@@ -1379,14 +1354,14 @@
       jQuery("#map").height(jQuery(window).height() - infos_theImage.top - infos_theImage.general.marges.height);
       return true;
-    }
+    };
 
     jQuery("map [name='#Autosize'] area").mouseover(function (e) {
       return;
     });
-    //___ Set_Map ___
-
-    //=====================================
+    // ___ Set_Map ___
+
+    // =====================================
     //
-    //=====================================
+    // =====================================
     Get_Maxi = function (Maxi_image) {
       var pt = options.liste_type;
@@ -1399,5 +1374,5 @@
         size_derive = { w: 0, h: 0 };
         size_encours = { w: tw, h: th };
-        //=================================
+        // =================================
         jQuery(pt).each(function (i) {
           vn = this;
@@ -1407,5 +1382,5 @@
             maxi_size = size_derive;
             maxi_size.idx = n;
-            return false
+            return false;
           }
 
@@ -1416,5 +1391,5 @@
                 maxi_size.idx = n;
                 if (options.pictureSelType == "SelMaxi" || options.pictureSelType == "Autosize")
-                  return false
+                  return false;
               }
             }
@@ -1459,18 +1434,19 @@
       }
       return { imgSrc: "", pictureDeriv: "", width: "", height: "" };
-    }
-    //_______________ Get_Maxi ______
-
-    /********************
-    *
-    ********************/
+    };
+    // _______________ Get_Maxi ______
+
+    /***********************
+    * Selection de l'image 
+    ************************/
     Select_Image = function () {
       var pt = options.liste_type;
-
-
       if (pt.length > 0) {
-        //===== calcul Image ===
+        // ===== calcul Image ===
         if (typeof imageInfos_id == "undefined") return;
-        Calcul_Image(); // image en cours
+        if (Calcul_Image()=="Wait") {   // image en cours           
+          return "Wait";
+        }
+        //==================================================
         options.theImageMargeZone = Zone_image.marges;
         if (Type_Img != 'charlie') {
@@ -1479,12 +1455,10 @@
           if (options.imgSrc.match(RegExp(imgSrc, "gi")))
             options.imgSrc = imgSrc;
-          // dimension image 
+          // dimension image
           img_width = IMg.width;
           img_height = IMg.height;
-
           Zone_image.image_init = { height: IMg.height,
             width: IMg.width,
             rapport: IMg.width / IMg.height
-
           };
           if (typeof Zone_image.image == "undefined")
@@ -1492,14 +1466,18 @@
               width: IMg.width,
               rapport: IMg.width / IMg.height
-
             };
         } else {
-          return;
+          return true;
         }
         Zone_image.zoom = Zone_image.image.height / Zone_image.image_init.height;
-        if (typeof Zone_image.src == "undefined") Zone_image.src = " ";
+        if (typeof Zone_image.src == "undefined")
+          Zone_image.src = " ";
+        if (typeof Zone_image.name == "undefined")
+          Zone_image.name = " ";
+        if (typeof Zone_image.path == "undefined")
+          Zone_image.path = " ";
 
         identique = Zone_image.src.match(RegExp(imgSrc.replace("./", ""), "gi"));
-        if (identique) return;
+        if (identique) return true;
         href_path = get_href(IMg.pictureDeriv);
         if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
@@ -1508,34 +1486,25 @@
         }
         theImg = document.getElementById(theMainImage_id.replace("#", ""));
-
         if ((theImg == null) || theImg.tagName != "IMG") {
           imgSrc_i = jQuery(theImg).css("backgroundImage");
           imgSrc_j = jQuery(theImg).css("background-image");
-          return;
+          return true;
         } else {
           last_id = IMg.pictureDeriv;
-          //    eval(href_path);
+          // eval(href_path);
           changeImgSrc(imgSrc.replace("./", ""), last_id, IMg.pictureMap, options.pictureSelType);
         }
-
         theImg.useMap = "#map" + IMg.pictureMap;
         return true;
-
-
         theImg = document.getElementById(theMainImage_id.replace("#", ""));
         if (init_img(theImg)) {
-
           return true;
         }
         return false;
-
       } else {
-
-
         return false;
       }
 
-
-    };  //_______________ Select_Image ______
+    };  // _______________ Select_Image ______
 
     get_href = function (NewpictureDeriv) {
@@ -1561,8 +1530,7 @@
     };
 
-    /*************************************************
+    /***************************************************************************
     * correction pamoorama
-    *************************************************/
-
+    **************************************************************************/
     Set_Pamoorama = function (Format) {
       myPamoorama = window.myPamoorama;
@@ -1574,5 +1542,5 @@
           Wait_pamoorama();
           infos_theMainImage = jQuery(theMainImage_Id).infos();
-          //theMainImage_Id = "#pamoorama";
+          // theMainImage_Id = "#pamoorama";
         }
 
@@ -1581,11 +1549,11 @@
           return;
         }
-        //=========================================================  
+        // =========================================================
         if (!nopano) {
-          //theMainImage_Id = "#pamoorama";
+          // theMainImage_Id = "#pamoorama";
           nopano = false;
           Wait_pamoorama();
           infos_theMainImage = jQuery(theMainImage_Id).infos();
-          //theMainImage_Id = "#pamoorama";
+          // theMainImage_Id = "#pamoorama";
         }
 
@@ -1597,5 +1565,5 @@
 
 
-        //====================================================
+        // ====================================================
         marges_w = infos_pamoorama.general.marges.width;
         marges_h = infos_pamoorama.general.marges.height;
@@ -1611,10 +1579,10 @@
         new_image = { height: Math.ceil(Zone_image.image_init.height * Zoom_pano),
           width: Math.ceil(Zone_image.image_init.width * Zoom_pano)
-        }
+        };
 
         jQuery("#pamoorama_inner").css({
           width: new_image.width + "px", height: new_image.height + "px", "background-size": "100%"
         });
-        //---------- test largeur image 
+        // ---------- test largeur image
         new_width = Format.width - (options.marge_right + options.marge_left);
 
@@ -1635,7 +1603,7 @@
           height: Format.height - marges_h + "px"
         });
-        //============= Mise à l'echelle ==================
+        // ============= Mise à l'echelle ==================
         window.myPamoorama.options.width = Math.ceil(Format.width);
-        //==================================================================
+        // ==================================================================
         new_max_left = new_image.width - outter_width;
         if (!window.myPamoorama.outter) return;
@@ -1651,5 +1619,5 @@
 
         jQuery("#pamoorama_thumb").css({
-          /*   position: "absolute", */
+          /* position: "absolute", */
           left: (Format.width - 215) + "px"
 
@@ -1658,5 +1626,5 @@
 
         });
-        // 200=window.myPamoorama.width 
+        // 200=window.myPamoorama.width
         // frame = Zone_image.container.width
 
@@ -1666,7 +1634,7 @@
 
       } //  
-    } // Set_Pamoorama
-
-    /*********************************************************/
+    }; // Set_Pamoorama
+
+    /** ****************************************************** */
 
     Toggle_bp = function () {
@@ -1675,17 +1643,17 @@
       Wait_Affichage();
 
-    }
-
-    //====================================
+    };
+
+    // ====================================
     // 
-    //====================================
+    // ====================================
     Calcul_Image = function () {
 
-      /****************************************/
+      /** ************************************* */
       if (typeof imageInfos_id == "undefined") return;
       infos_imageInfos = jQuery(imageInfos_id).infos({ absolute: true });             // information
-      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });         // Image   
+      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });         // Image
       // commentContent
-      // copyright 
+      // copyright
 
       if (options.slideshow) {
@@ -1695,18 +1663,35 @@
 
       }
-
-
+      if (typeof Zone_image.name == "undefined") {
+        var names = Array();
+        names = options.imgSrc.toString().split("/");
+        names = names[names.length - 1].split("-");
+        names = names[0].split(".");
+        Zone_image.name = names[0];
+      }
+
+      if (Type_Img == "img") {
+        Zone_image.src = jQuery(theMainImage_id).attr("src");
+        if (Zone_image.src.match(RegExp(Zone_image.name, "gi"))) {
+          Zone_image.path = infos_theMainImage.src;
+        } else
+          return "Wait";
+
+      } else {
+        Zone_image.src = jQuery(theMainImage_id).attr("src");
+        Zone_image.path = infos_theMainImage.src;
+      }
       pos_top = options.pos_top;
-      //    pos_top = infos_theImage.top;
+      // pos_top = infos_theImage.top;
 
       pos = jQuery(theImage_id).offset();
-      infos_theImage = jQuery(theImage_id).infos(true);   // container 
+      infos_theImage = jQuery(theImage_id).infos(true);   // container
       infos_window = jQuery(window).infos(true);   // window
-      w = infos_theImage.general.marges.width
+      w = infos_theImage.general.marges.width;
 
       container = {
         height: infos_window.height - options.theImageTop,
         width: infos_window.width - options.theImageLeft - options.theImageRight
-      }
+      };
       marge_left = options.marge_left | 0;
       marge_right = options.marge_right | 0;
@@ -1714,7 +1699,7 @@
 
 
-      //==========================================================
+      // ==========================================================
       if (test_theme("stripped")) {
-        infos_the_page.margin.left = 20;  //taille fleche
+        infos_the_page.margin.left = 20;  // taille fleche
         infos_the_page.margin.right = 20;
 
@@ -1724,5 +1709,5 @@
 
         if (infos_imageInfos.visible == true) {
-          //  marge_right += infos_imageInfos.general.width; ;
+          // marge_right += infos_imageInfos.general.width; ;
 
         } else {
@@ -1764,5 +1749,5 @@
 
       retrait_img = {};
-      //========== Format Image ==============  
+      // ========== Format Image ==============
       retrait_img.height = Math.ceil(options.marges_llgbo || 0)
       + Math.ceil(infos_theMainImage.general.marges.height) +
@@ -1771,5 +1756,5 @@
 
 
-      //===============================================================
+      // ===============================================================
       retrait_img.width = Math.ceil(infos_theMainImage.general.marges.width); // borderwidth+padding
       retrait_img.width = Math.ceil(infos_theImage.general.marges.width); // borderwidth+padding
@@ -1781,19 +1766,20 @@
 
       marge_bottom = options.marge_bottom_2 + options.marge_bottom;
-      //================== Limite Format Image =====================
+      // ================== Limite Format Image =====================
       container.height_interne = container.height - marge_top - marge_bottom;
       container.width_interne = container.width - marge_left - marge_right;
 
-      container.height_interne = Math.max(container.height_interne, Math.ceil(options.mini_height) + retrait_img.height),
-      container.width_interne = Math.max(container.width_interne, Math.ceil(options.mini_width) + retrait_img.width)
-
-
+      container.height_interne = Math.max(
+    		  container.height_interne,
+    		  Math.ceil(options.mini_height) + retrait_img.height);
+      container.width_interne = Math.max(container.width_interne,
+    		  Math.ceil(options.mini_width) + retrait_img.width);
       image_max = {
         height: (container.height_interne - retrait_img.height),
         width: (container.width_interne - retrait_img.width)
-      }
-      //=========================
+      };
+      // =========================
       // test débordement
-      //=========================
+      // =========================
       height_theMainImage = Math.ceil(image_max.height);
       width_theMainImage = Math.ceil(image_max.width);
@@ -1834,5 +1820,5 @@
         }
       }
-      //=================================================================
+      // ======== Initilisation Zone_image ===============
       Zone_image.image = {
         width: width_theMainImage,
@@ -1843,14 +1829,14 @@
         height: marge_top + marge_bottom + retrait_img.height
       }
-      Zone_image.src = jQuery(theMainImage_id).attr("src");
+      return true;
     }
 
-    /*********************************************
+    /***************************************************************************
     * Calcul les dimensions.
-    *********************************************/
+    **************************************************************************/
     Get_dimensions = function (force, parametres) {
       new_img = jQuery(theMainImage_id).infos({ absolute: true });
       new_dim = jQuery(theImage_id).infos({ absolute: true });
-      new_win = jQuery(window).infos({ absolute: true }); // avec ascenseur    
+      new_win = jQuery(window).infos({ absolute: true }); // avec ascenseur
       options.theImageTop = new_dim.top;
       options.theImageLeft = new_dim.left;
@@ -1876,13 +1862,13 @@
 
       if (Type_Img != "map" && Type_Img != "iframe")
-        Select_Image();
-      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
-      Zone_image.src = infos_theMainImage.src;
+        if (Select_Image() == "Wait") {
+          return "Wait";
+        }
       useMap = options.pictureSelType;
-      //=================================================================
+      // =================================================================
       switch (Type_Img) {
         case "map":
           if (Set_Map(true)) return false;
-          break
+          break;
         case "panorama":
           if (!theMainImage_id) {
@@ -1894,12 +1880,7 @@
 
           img_finale.height = infos_theImage.height;
-          break
+          break;
         case "img":
-
-
-
-
-
-          break
+          break;
         case "img_autre":
           if (!theMainImage_id) {
@@ -1912,5 +1893,5 @@
 
 
-          break
+          break;
         case "embed":
           //
@@ -1919,15 +1900,9 @@
           if (infos_theMainImage.width == 0)
             infos_theMainImage = jQuery("#the_page").infos();
-
-
           iph1 = jQuery("#theImage div").infos();
-
-          break
+          break;
         case "charlie":
-
           Zone_image.zoom = 1;
-
-          break
-
+          break;
         case "iframe":
           wpng = 0;
@@ -1935,13 +1910,13 @@
           Zone_image.image.height = options.theImageHeight;
           Zone_image.zoom = 1;
-          break
+          break;
         case "pamoorama":
           Wait_pamoorama();
-          break
-      }
-
-
-
-      //=================================================
+          break;
+      }
+
+
+
+      // =================================================
       if (Zone_image.image.height < options.mini_height2) {
         Zone_image.image.height = parseInt(options.mini_height2);
@@ -1952,7 +1927,7 @@
         Zone_image.image.height = Math.ceil(Zone_image.image.width / Zone_image.image_init.rapport);
       }
-      //==================================================
-      //   ImageWidthidth largeur à atteindre
-      //   Calcul du rapport d'agrandissement
+      // ==================================================
+      // ImageWidthidth largeur à atteindre
+      // Calcul du rapport d'agrandissement
 
       echelle_max = parseFloat(options.echelle_max, '3');
@@ -1973,14 +1948,14 @@
 
       return true;
-    }
-    //________________ Get_dimensions ___________________
-
-
-    /*****************************
-    *  init_gen
-    *****************************/
+    };
+    // ________________ Get_dimensions ___________________
+
+
+    /***************************************************************************
+    * init_gen
+    **************************************************************************/
     init_gen = function (e) {
       theImg = document.getElementById(theMainImage_id.replace("#", ""));
-      //==================================================
+      // ==================================================
       marges_llgbo = 0;
       options.marges_llgbo = 0;
@@ -1991,5 +1966,5 @@
             infos_llgboframe1 = jQuery(llgbo_id + " div:last").infos();
             infos_llgboframe31 = jQuery(llgbo_id + "  div:first").infos();
-            //=============================================
+            // =============================================
             ll2 = infos_llgboframe1.width; // llgboframe1
             ll1 = infos_llgboframe31.general.width; // llgboframe31
@@ -2002,5 +1977,5 @@
       }
 
-      //========= Récupération des informations =============  
+      // ========= Récupération des informations =============
 
       options.marge_top = 0;
@@ -2026,5 +2001,7 @@
       options.marge_left = infos_theImage.general.marges.left + Math.ceil(options.marge_gauche);
       options.marge_right = infos_theImage.general.marges.right + Math.ceil(options.marge_droite);
-      options.marge_top += infos_theImage.general.marges.top + infos_content.general.marges.top + Math.ceil(options.marge_haute);
+      options.marge_top += infos_theImage.general.marges.top +
+                           infos_content.general.marges.top +
+                           Math.ceil(options.marge_haute);
 
       if (options.pictureDeriv == null)
@@ -2032,5 +2009,6 @@
       else
         options.first = false;
-      //=================== Gestion liste photos size ============================
+      // =================== Gestion liste photos size
+      // ============================
       us = 0;
       if (!options.theMainImageWidth) options.theMainImageWidth = options.scaledWidth;
@@ -2055,6 +2033,6 @@
       if (pictureSelType_user != options.pictureSelType) {
         /*
-        user_status = options.user_status;
-        pictureSelType_user = eval("options." + user_status + "_type"); //limite taille
+        * user_status = options.user_status; pictureSelType_user =
+        * eval("options." + user_status + "_type"); //limite taille
         */
         pictureDeriv_user = options.pictureDeriv;
@@ -2064,5 +2042,5 @@
       Affiche_limite(pictureSelType_user);
 
-      //=================== 2==================================
+      // =================== 2==================================
       sav_p = options.pictureSelType;
       options.pictureSelType = "SelMaxi";
@@ -2074,5 +2052,5 @@
       spans.attr("name", "SelMaxi");
       spans.text("(" + options.theMainImageWidth + " x " + options.theMainImageHeight + ")");
-      //==========================================================
+      // ==========================================================
       options.pictureSelType = "Autosize";
       href_path = get_href(options.pictureDeriv);
@@ -2083,14 +2061,14 @@
       spans.attr("name", "Autosize");
       spans.text("(" + options.theMainImageWidth + " x " + options.theMainImageHeight + ")");
-      //==========================================================
+      // ==========================================================
       options.pictureSelType = sav_p;
       jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
       if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
-        //  jQuery('#derivativeChecked' + options.pictureSelType).css('visibility', 'visible');
+        jQuery('#derivativeChecked' + options.pictureSelType).css('visibility', 'visible');
         spans = jQuery("#derivativeChecked" + options.pictureSelType).next();
         spans.addClass("linkAutosize");
         spans.find("span").addClass("auto_details");
       } else {
-        //  jQuery('#derivativeChecked' + options.pictureDeriv).css('visibility', 'visible');
+        jQuery('#derivativeChecked' + options.pictureDeriv).css('visibility', 'visible');
       }
       pictureDeriv = options.pictureDeriv;
@@ -2099,17 +2077,14 @@
       jQuery("#" + Type_Img).show(options.fade_in);
     };
-    //_______________________ init_gen _______________________
-
-
-    /*********************************************
+    // _______________________ init_gen _______________________
+
+
+    /***************************************************************************
     * DEBUG ....
-    *********************************************/
+    **************************************************************************/
     /*
-    if (DEBUG_autosize.match("true",gi))   {
-    for (var i = 0; i < 10; i++) {
-    jQuery('#adddebugs').click();
-    }
-    jQuery(jQuery('.debug').get(i - 1)).click();
-    }
+    * if (DEBUG_autosize.match("true",gi)) { for (var i = 0; i < 10; i++) {
+    * jQuery('#adddebugs').click(); } jQuery(jQuery('.debug').get(i -
+    * 1)).click(); }
     */
 
@@ -2136,5 +2111,5 @@
     // on Double Click, remove the debug from the DOM
     jQuery('.debug').live('dblclick', function () {
-      jQuery(this).fadeOut(function () { jQuery(this).remove() });
+      jQuery(this).fadeOut(function () { jQuery(this).remove(); });
     });
 
@@ -2159,5 +2134,5 @@
         mouse_x = 0;
         mouse_y = 0;
-        //  document.onmousemove = position;
+        // document.onmousemove = position;
 
       }
@@ -2202,5 +2177,5 @@
 
 
-    //=======================================================================================
+    // =======================================================================================
     Debug_info = function (index, infos, Nom_str) {
       if (typeof infos == "undefined") return;
@@ -2226,5 +2201,5 @@
             top: infos.top + "px"
           }
-        }
+        };
         return myDebug;
 
@@ -2256,5 +2231,5 @@
               top: 0 + "px"
             }
-          }
+          };
           return myDebug;
         }
@@ -2262,6 +2237,6 @@
 
 
-    } //Debug_info
-    //====================================================
+    }; // Debug_info
+    // ====================================================
     affiche_debug = function (aff_infos) {
       jQuery(jQuery("[id ^='Debug']")).each(function (i) {
@@ -2274,7 +2249,7 @@
       });
       return;
-    }
-    //___________ affiche_debug ____
-    //====================================================
+    };
+    // ___________ affiche_debug ____
+    // ====================================================
     function Debug_pos() {
       return;
@@ -2283,9 +2258,7 @@
         jQuery("[id ^='Debug']").show();
         /*
-        Debug2  background-color:yellow
-        Debug3 background-color:blue
-        Debug4 background-color:green
-        Debug5 background-color:red
-
+        * Debug2 background-color:yellow Debug3 background-color:blue Debug4
+        * background-color:green Debug5 background-color:red
+        * 
         */
 
@@ -2295,15 +2268,15 @@
       }
     } // Debug_pos
-    //==========================================================
-
-
-
-
-
-
-
-
-
-  });                                                                                                                                     // ready
+    // ==========================================================
+
+
+
+
+
+
+
+
+
+  });                                                                                                                                                            // ready
 
 
@@ -2312,2 +2285,34 @@
     k1 = 0;
   });
+//==========================================================
+  function file_exists(filename){	
+  	  var params = { filename: filename, types: [], src: [] };
+  	  url = "plugins/PersonalPlugin/fileok.php?filename=" + filename;
+    jQuery.ajax({
+        type: "POST",
+        url: url,
+        data: params,
+        dataType: "json",
+        success: function (data) {
+          if (!data.stat || data.stat != "ok") {
+            return;
+          }
+         if(data.result[1]=="ok"){
+  	jQuery("#theMainImage").attr("src", data.result[0]);
+  }
+  /*
+          retour = "<ul>"  ;
+          jQuery(".infos").text(data.stat);        
+          for (var i = 0; i < data.result.length; i++) {
+            retour = retour + "<li >" + data.result[i] + "</li>";
+
+          }
+          retour += "</ul>";
+          jQuery(".infos").html(retour);
+  */
+        },
+        error: function (data) {
+          jQuery(".infos").html(data.responseText);
+        }
+      });
+  };
Index: /extensions/Autosize/js/autosizeDetect.js
===================================================================
--- /extensions/Autosize/js/autosizeDetect.js	(revision 22190)
+++ /extensions/Autosize/js/autosizeDetect.js	(revision 22191)
@@ -51,10 +51,8 @@
 	retval2 = jQuery.cookie('picture_deriv');
 
-	if (retval == "ok" && retval2)
-		return;
+	if (!retval2)
+	  jQuery.cookie('picture_deriv','medium');
 	//
-	jQuery.cookie('autosize_reload', "ok", {
-		path : COOKIE_PATH
-	});
+	jQuery.cookie('autosize_reload', "ok", {path : COOKIE_PATH,expires:1});
 
 	if (reload == "true") {
Index: /extensions/Autosize/js/autosize_ajax.js
===================================================================
--- /extensions/Autosize/js/autosize_ajax.js	(revision 22190)
+++ /extensions/Autosize/js/autosize_ajax.js	(revision 22191)
@@ -105,3 +105,3 @@
 
 	  }
-	}
+	};
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 22190)
+++ /extensions/Autosize/main.inc.php	(revision 22191)
@@ -1,5 +1,5 @@
 <?php
 /*
-Plugin Name: AutoSize
+ Plugin Name: AutoSize
 Version: 3.1.1
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
@@ -7,59 +7,61 @@
 Author: cljosse
 Author URI:http://cljosse.free.fr
-*/ 
+*/
 /*****************************************
-*Ajouter .contentWithMenu{ margin-left:0 } dans themes montblanc
+ *Ajouter .contentWithMenu{ margin-left:0 } dans themes montblanc
 *
 *****************************************/
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-if (!defined('AUTOSIZE_PATH')) 
-define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
-if (!defined('ROOT_URL')) 
-define(  'ROOT_URL',  get_root_url().'/' );
- 
-if (!defined('AUTOSIZE_PATH_ABS')) 
-define(
-  'AUTOSIZE_PATH_ABS',  realpath(AUTOSIZE_PATH)."/"
-);
+if (!defined('AUTOSIZE_PATH'))
+	define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
+if (!defined('ROOT_URL'))
+	define(  'ROOT_URL',  get_root_url().'/' );
+
+if (!defined('AUTOSIZE_PATH_ABS'))
+	define(
+			'AUTOSIZE_PATH_ABS',  realpath(AUTOSIZE_PATH)."/"
+	);
 
 global $conf ;
-  if( isset($_GET['cl_debug']) && $_GET['cl_debug'] =='false') {
-      $DEBUG_autosize="";
-  }else{
-    $DEBUG_autosize = isset($_POST['cl_debug']) ? $_POST['cl_debug'] : "" ;
-    $DEBUG_autosize = isset($_GET['cl_debug']) ? $_GET['cl_debug'] :  $DEBUG_autosize ;
-    $DEBUG_autosize = isset($conf['cl_debug']) ? $conf['cl_debug']."," . $DEBUG_autosize : $DEBUG_autosize ;    
-    }
-
-if(preg_match("|NO|", $DEBUG_autosize, $val)) {  
+//================================================================
+global $DEBUG_autosize;
+if( isset($_GET['cl_debug']) && $_GET['cl_debug'] =='false') {
+	$DEBUG_autosize="";
+}else{
+	$DEBUG_autosize = isset($_POST['cl_debug']) ? $_POST['cl_debug'] : "" ;
+	$DEBUG_autosize = isset($_GET['cl_debug']) ? $_GET['cl_debug'] :  $DEBUG_autosize ;
+	$DEBUG_autosize = isset($conf['cl_debug']) ? $conf['cl_debug']."," . $DEBUG_autosize : $DEBUG_autosize ;
+	//===============================================================
+}
+if(preg_match("|NO|", $DEBUG_autosize, $val)) {
 
 }else{
-//==================================================================
-	include(AUTOSIZE_PATH."include/constants.php"); 	   
+	//==================================================================
+	include(AUTOSIZE_PATH."include/constants.php");
 	include_once(AUTOSIZE_PATH.'autosize.inc.php');
-//==================================================================
-global $page,$autosize_ctrl;
-if (!isset( $page['start'])) {
- $page['start']=0;
- }
-$autosize_ctrl = new autosize_ctrl();
-add_event_handler('get_admin_plugin_menu_links', array(&$autosize_ctrl,'cl_autosize_admin')  );
-
-//===============================================================
-if(!preg_match("|NO|", $DEBUG_autosize, $val)) {  
- // EVENT_HANDLER_PRIORITY_NEUTRAL=80
-    add_event_handler('render_element_content', array(&$autosize_ctrl, 'autosize_calcContent'),EVENT_HANDLER_PRIORITY_NEUTRAL-11,2); 
-    add_event_handler('render_element_content', array(&$autosize_ctrl, 'init_1'),EVENT_HANDLER_PRIORITY_NEUTRAL-9,2); 
-    add_event_handler('render_element_content',  array(&$autosize_ctrl,'init'),EVENT_HANDLER_PRIORITY_NEUTRAL-1,2  );
-    add_event_handler('render_element_content',  array(&$autosize_ctrl,'init2'),EVENT_HANDLER_PRIORITY_NEUTRAL+1,2  );
-    add_event_handler('loc_after_page_header', array(&$autosize_ctrl, 'cl_autosize_script_1') );
-    add_event_handler('loc_after_page_header', array(&$autosize_ctrl, 'cl_autosize_script_2')  );
-    add_event_handler('loc_after_page_header',array(&$autosize_ctrl, 'cl_autosize_script_3')  );
-    add_event_handler('loc_after_page_header', array(&$autosize_ctrl, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL +21    );
-    if(!isset($_GET['slideshow'])) add_event_handler('loc_begin_picture', array(&$autosize_ctrl, 'init_3'), EVENT_HANDLER_PRIORITY_NEUTRAL+6);
-    }
+	//==================================================================
+	global $page,$autosize_ctrl;
+	if (!isset( $page['start'])) {
+		$page['start']=0;
+	}
+	$autosize_ctrl = new autosize_ctrl();
+	add_event_handler('get_admin_plugin_menu_links', array(&$autosize_ctrl,'cl_autosize_admin')  );
+	//===============================================================
+	if(!preg_match("|NO|", $DEBUG_autosize, $val)) {
+		// EVENT_HANDLER_PRIORITY_NEUTRAL=80
+		global $autosize_ctrl;
+				add_event_handler('render_element_content', array(&$autosize_ctrl, 'autosize_calcContent'),EVENT_HANDLER_PRIORITY_NEUTRAL-11,2);
+				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init_1'),EVENT_HANDLER_PRIORITY_NEUTRAL-9,2);
+				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init'),EVENT_HANDLER_PRIORITY_NEUTRAL-1,2  );
+				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init2'),EVENT_HANDLER_PRIORITY_NEUTRAL+1,2  );
+				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_script_1') );
+				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_script_2')  );
+				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_script_3')  );
+				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL +21    );
+			if(!isset($_GET['slideshow'])) add_event_handler('loc_begin_picture', array(&$autosize_ctrl, 'init_3'), EVENT_HANDLER_PRIORITY_NEUTRAL+6);
+	}
 } ;
 
-     
+
 
 
Index: /extensions/Autosize/template/picture_1.tpl
===================================================================
--- /extensions/Autosize/template/picture_1.tpl	(revision 22190)
+++ /extensions/Autosize/template/picture_1.tpl	(revision 22191)
@@ -14,11 +14,12 @@
     {/literal}{/footer_script}
 {else }
-{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,autosize.dimensions'  }
-{if $theme != "elegant"}
-{combine_script id="autosize.cookie" path = $AUTOSIZE_PATH|@cat:"js/autosize.cookie.js" require="jquery"  }{/if} 
-{combine_script id="autosize.dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"}
+	{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,autosize.dimensions'  }
+	{if $theme != "elegant"}
+		{combine_script id="autosize.cookie" path = $AUTOSIZE_PATH|@cat:"js/autosize.cookie.js" require="jquery"  }
+	{/if} 
+	{combine_script id="autosize.dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"}
 {/if} 
  
 {if $gmaps_function=="true" }
-{combine_script id="maps.google.com/api" path="http://maps.google.com/maps/api/js?sensor=false" require="jquery" }
+	{combine_script id="maps.google.com/api" path="http://maps.google.com/maps/api/js?sensor=false" require="jquery" }
 {/if}
